summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2020-01-23 23:28:26 +0000
committer Eric Hameleers <alien@slackware.com>2020-01-23 23:28:26 +0000
commitcbaa706448b8538eca6701a3d19c564d8e28d277 (patch)
treeda5b18f8586577e5cc5b697915fee6064fbf4805
parentcee210f6a11a96b1c8e168a4a46fd008c23122a9 (diff)
downloadasb-cbaa706448b8538eca6701a3d19c564d8e28d277.tar.gz
asb-cbaa706448b8538eca6701a3d19c564d8e28d277.tar.xz
Initial revision
-rw-r--r--sonic-visualiser/build/patches/sonic-visualiser-4.0.1_notest.patch52
-rw-r--r--sonic-visualiser/build/patches/sonic-visualiser-4.0.1_remove-werror.patch152
-rw-r--r--sonic-visualiser/build/slack-desc19
-rw-r--r--sonic-visualiser/build/slack-required9
-rwxr-xr-xsonic-visualiser/build/sonic-visualiser.SlackBuild287
5 files changed, 519 insertions, 0 deletions
diff --git a/sonic-visualiser/build/patches/sonic-visualiser-4.0.1_notest.patch b/sonic-visualiser/build/patches/sonic-visualiser-4.0.1_notest.patch
new file mode 100644
index 00000000..ec708499
--- /dev/null
+++ b/sonic-visualiser/build/patches/sonic-visualiser-4.0.1_notest.patch
@@ -0,0 +1,52 @@
+diff --git a/test-svcore-base.pro b/test-svcore-base.pro
+index 275cb58..636129c 100644
+--- a/test-svcore-base.pro
++++ b/test-svcore-base.pro
+@@ -27,8 +27,3 @@ include(svcore/base/test/files.pri)
+
+ for (file, TEST_SOURCES) { SOURCES += $$sprintf("svcore/base/test/%1", $$file) }
+ for (file, TEST_HEADERS) { HEADERS += $$sprintf("svcore/base/test/%1", $$file) }
+-
+-!win32* {
+- POST_TARGETDEPS += $$PWD/libbase.a
+- QMAKE_POST_LINK = ./$${TARGET}
+-}
+diff --git a/test-svcore-data-fileio.pro b/test-svcore-data-fileio.pro
+index 7b53ca1..a2aa3ce 100644
+--- a/test-svcore-data-fileio.pro
++++ b/test-svcore-data-fileio.pro
+@@ -27,8 +27,3 @@ include(svcore/data/fileio/test/files.pri)
+
+ for (file, TEST_SOURCES) { SOURCES += $$sprintf("svcore/data/fileio/test/%1", $$file) }
+ for (file, TEST_HEADERS) { HEADERS += $$sprintf("svcore/data/fileio/test/%1", $$file) }
+-
+-!win32* {
+- POST_TARGETDEPS += $$PWD/libbase.a
+- QMAKE_POST_LINK = ./$${TARGET}
+-}
+diff --git a/test-svcore-data-model.pro b/test-svcore-data-model.pro
+index 3b45ac0..d08b14e 100644
+--- a/test-svcore-data-model.pro
++++ b/test-svcore-data-model.pro
+@@ -27,8 +27,3 @@ include(svcore/data/model/test/files.pri)
+
+ for (file, TEST_SOURCES) { SOURCES += $$sprintf("svcore/data/model/test/%1", $$file) }
+ for (file, TEST_HEADERS) { HEADERS += $$sprintf("svcore/data/model/test/%1", $$file) }
+-
+-!win32* {
+- POST_TARGETDEPS += $$PWD/libbase.a
+- QMAKE_POST_LINK = ./$${TARGET}
+-}
+diff --git a/test-svcore-system.pro b/test-svcore-system.pro
+index 6ef7db7..685c1ba 100644
+--- a/test-svcore-system.pro
++++ b/test-svcore-system.pro
+@@ -27,8 +27,3 @@ include(svcore/system/test/files.pri)
+
+ for (file, TEST_SOURCES) { SOURCES += $$sprintf("svcore/system/test/%1", $$file) }
+ for (file, TEST_HEADERS) { HEADERS += $$sprintf("svcore/system/test/%1", $$file) }
+-
+-!win32* {
+- POST_TARGETDEPS += $$PWD/libbase.a
+- QMAKE_POST_LINK = ./$${TARGET}
+-}
diff --git a/sonic-visualiser/build/patches/sonic-visualiser-4.0.1_remove-werror.patch b/sonic-visualiser/build/patches/sonic-visualiser-4.0.1_remove-werror.patch
new file mode 100644
index 00000000..184ffb52
--- /dev/null
+++ b/sonic-visualiser/build/patches/sonic-visualiser-4.0.1_remove-werror.patch
@@ -0,0 +1,152 @@
+See https://sourceforge.net/p/sv1/bugs/277/
+
+diff -ruN a/bqfft/build/Makefile.inc b/bqfft/build/Makefile.inc
+--- a/bqfft/build/Makefile.inc 2019-12-10 10:29:35.000000000 +0100
++++ b/bqfft/build/Makefile.inc 2019-12-12 15:14:52.369303949 +0100
+@@ -14,7 +14,7 @@
+
+ OPTFLAGS ?= -O3 -ffast-math
+
+-CXXFLAGS ?= -std=c++98 -Wall -Wextra -Werror $(FFT_DEFINES) $(VECTOR_DEFINES) $(ALLOCATOR_DEFINES) $(OPTFLAGS) -I. $(THIRD_PARTY_INCLUDES) -I../bqvec -fpic
++CXXFLAGS ?= -std=c++98 -Wall -Wextra $(FFT_DEFINES) $(VECTOR_DEFINES) $(ALLOCATOR_DEFINES) $(OPTFLAGS) -I. $(THIRD_PARTY_INCLUDES) -I../bqvec -fpic
+
+ LIBRARY := libbqfft.a
+
+diff -ruN a/bqresample/build/Makefile.inc b/bqresample/build/Makefile.inc
+--- a/bqresample/build/Makefile.inc 2019-12-10 10:29:37.000000000 +0100
++++ b/bqresample/build/Makefile.inc 2019-12-12 15:15:19.425731836 +0100
+@@ -15,7 +15,7 @@
+
+ OPTFLAGS ?= -O3 -ffast-math
+
+-CXXFLAGS ?= -std=c++98 -fpic -Wall -Wextra -Werror $(RESAMPLE_DEFINES) $(VECTOR_DEFINES) $(ALLOCATOR_DEFINES) $(OPTFLAGS) -I. $(THIRD_PARTY_INCLUDES) -I../bqvec
++CXXFLAGS ?= -std=c++98 -fpic -Wall -Wextra $(RESAMPLE_DEFINES) $(VECTOR_DEFINES) $(ALLOCATOR_DEFINES) $(OPTFLAGS) -I. $(THIRD_PARTY_INCLUDES) -I../bqvec
+
+ CFLAGS := -fpic -Wall -Wextra $(RESAMPLE_DEFINES) $(VECTOR_DEFINES) $(ALLOCATOR_DEFINES) $(OPTFLAGS) -I. $(THIRD_PARTY_INCLUDES)
+
+diff -ruN a/checker/checker.pri b/checker/checker.pri
+--- a/checker/checker.pri 2019-12-10 10:29:25.000000000 +0100
++++ b/checker/checker.pri 2019-12-12 15:12:42.627107945 +0100
+@@ -2,10 +2,6 @@
+ CONFIG += qt stl c++11 exceptions console warn_on
+ QT -= xml network gui widgets
+
+-!win32 {
+- QMAKE_CXXFLAGS += -Werror
+-}
+-
+ OBJECTS_DIR = o
+ MOC_DIR = o
+
+diff -ruN a/checker/helper.pro b/checker/helper.pro
+--- a/checker/helper.pro 2019-12-10 10:29:25.000000000 +0100
++++ b/checker/helper.pro 2019-12-12 15:13:00.130288658 +0100
+@@ -10,10 +10,6 @@
+
+ macx*: CONFIG -= app_bundle
+
+-!win32* {
+- QMAKE_CXXFLAGS += -Werror
+-}
+-
+ linux* {
+ LIBS += -ldl
+ }
+diff -ruN a/configure.ac b/configure.ac
+--- a/configure.ac 2019-12-10 10:29:11.000000000 +0100
++++ b/configure.ac 2019-12-12 15:11:29.904405648 +0100
+@@ -57,7 +57,7 @@
+
+ if test "x$GCC" = "xyes"; then
+ CXXFLAGS_ANY="-fpic -Wall -Wextra -Woverloaded-virtual -Wformat-nonliteral -Wformat-security -Winit-self -Wswitch-enum -Wconversion -pipe"
+- CXXFLAGS_DEBUG="$CXXFLAGS_ANY -g -Werror"
++ CXXFLAGS_DEBUG="$CXXFLAGS_ANY -g"
+ OPTFLAGS_DEBUG="-O2"
+ CXXFLAGS_RELEASE="$CXXFLAGS_ANY -g0"
+ OPTFLAGS_RELEASE="-O3 -ffast-math"
+diff -ruN a/dataquay/config.pri b/dataquay/config.pri
+--- a/dataquay/config.pri 2019-12-10 10:29:32.000000000 +0100
++++ b/dataquay/config.pri 2019-12-12 15:15:30.962296540 +0100
+@@ -8,6 +8,6 @@
+
+ # Define this to use the Sord datastore (http://drobilla.net/software/sord/)
+ #DEFINES += USE_SORD
+-#QMAKE_CXXFLAGS += -I/usr/include/sord-0 -I/usr/include/serd-0 -Werror
++#QMAKE_CXXFLAGS += -I/usr/include/sord-0 -I/usr/include/serd-0
+ #EXTRALIBS += -lsord-0 -lserd-0
+
+diff -ruN a/piper-vamp-cpp/Makefile b/piper-vamp-cpp/Makefile
+--- a/piper-vamp-cpp/Makefile 2019-12-10 10:29:29.000000000 +0100
++++ b/piper-vamp-cpp/Makefile 2019-12-12 15:13:45.643223896 +0100
+@@ -7,7 +7,7 @@
+ OPTFLAGS := -O3 -fPIC
+
+ CFLAGS := -Wall -std=c99 $(OPTFLAGS) $(INCFLAGS)
+-CXXFLAGS := -Wall -Wextra -Werror -Wno-error=unused-parameter -std=c++1y $(OPTFLAGS) $(INCFLAGS)
++CXXFLAGS := -Wall -Wextra -Wno-error=unused-parameter -std=c++1y $(OPTFLAGS) $(INCFLAGS)
+
+ CXX ?= c++
+
+diff -ruN a/piper-vamp-cpp/ext/json11/CMakeLists.txt b/piper-vamp-cpp/ext/json11/CMakeLists.txt
+--- a/piper-vamp-cpp/ext/json11/CMakeLists.txt 2019-12-10 10:29:29.000000000 +0100
++++ b/piper-vamp-cpp/ext/json11/CMakeLists.txt 2019-12-12 15:14:32.436146202 +0100
+@@ -29,7 +29,7 @@
+
+ # Set warning flags, which may vary per platform
+ include(CheckCXXCompilerFlag)
+-set(_possible_warnings_flags /W4 /WX -Wextra -Werror)
++set(_possible_warnings_flags /W4 /WX -Wextra)
+ foreach(_warning_flag in ${_possible_warnings_flags})
+ CHECK_CXX_COMPILER_FLAG(_warning_flag _flag_supported)
+ if(${_flag_supported})
+diff -ruN a/piper-vamp-cpp/vamp-client/qt/test.pro b/piper-vamp-cpp/vamp-client/qt/test.pro
+--- a/piper-vamp-cpp/vamp-client/qt/test.pro 2019-12-10 10:29:29.000000000 +0100
++++ b/piper-vamp-cpp/vamp-client/qt/test.pro 2019-12-12 15:14:09.346349232 +0100
+@@ -4,10 +4,6 @@
+ CONFIG += qt stl c++11 c++14 exceptions console warn_on
+ QT -= xml network gui widgets
+
+-!win32 {
+- QMAKE_CXXFLAGS += -Werror
+-}
+-
+ OBJECTS_DIR = ../o
+ MOC_DIR = ../o
+
+diff -ruN a/svapp/configure.ac b/svapp/configure.ac
+--- a/svapp/configure.ac 2019-12-10 10:29:23.000000000 +0100
++++ b/svapp/configure.ac 2019-12-12 15:12:14.114022634 +0100
+@@ -54,7 +54,7 @@
+
+ if test "x$GCC" = "xyes"; then
+ CXXFLAGS_ANY="-Wall -Wextra -Woverloaded-virtual -Wformat-nonliteral -Wformat-security -Winit-self -Wswitch-enum -Wconversion -pipe"
+- CXXFLAGS_DEBUG="$CXXFLAGS_ANY -Werror -g"
++ CXXFLAGS_DEBUG="$CXXFLAGS_ANY -g"
+ CXXFLAGS_RELEASE="$CXXFLAGS_ANY -g0 -O2"
+ CXXFLAGS_MINIMAL="$CXXFLAGS_ANY -g0 -O0"
+ fi
+diff -ruN a/svcore/configure.ac b/svcore/configure.ac
+--- a/svcore/configure.ac 2019-12-10 10:29:18.000000000 +0100
++++ b/svcore/configure.ac 2019-12-12 15:12:00.407474914 +0100
+@@ -54,7 +54,7 @@
+
+ if test "x$GCC" = "xyes"; then
+ CXXFLAGS_ANY="-Wall -Wextra -Woverloaded-virtual -Wformat-nonliteral -Wformat-security -Winit-self -Wswitch-enum -Wconversion -pipe"
+- CXXFLAGS_DEBUG="$CXXFLAGS_ANY -Werror -g"
++ CXXFLAGS_DEBUG="$CXXFLAGS_ANY -g"
+ CXXFLAGS_RELEASE="$CXXFLAGS_ANY -g0 -O2"
+ CXXFLAGS_MINIMAL="$CXXFLAGS_ANY -g0 -O0"
+ fi
+diff -ruN a/svgui/configure.ac b/svgui/configure.ac
+--- a/svgui/configure.ac 2019-12-10 10:29:21.000000000 +0100
++++ b/svgui/configure.ac 2019-12-12 15:11:44.720944164 +0100
+@@ -54,7 +54,7 @@
+
+ if test "x$GCC" = "xyes"; then
+ CXXFLAGS_ANY="-Wall -Wextra -Woverloaded-virtual -Wformat-nonliteral -Wformat-security -Winit-self -Wswitch-enum -Wconversion -pipe"
+- CXXFLAGS_DEBUG="$CXXFLAGS_ANY -Werror -g"
++ CXXFLAGS_DEBUG="$CXXFLAGS_ANY -g"
+ CXXFLAGS_RELEASE="$CXXFLAGS_ANY -g0 -O2"
+ CXXFLAGS_MINIMAL="$CXXFLAGS_ANY -g0 -O0"
+ fi
+
diff --git a/sonic-visualiser/build/slack-desc b/sonic-visualiser/build/slack-desc
new file mode 100644
index 00000000..ac202cef
--- /dev/null
+++ b/sonic-visualiser/build/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+sonic-visualiser: sonic-visualiser (audio file visualiser)
+sonic-visualiser:
+sonic-visualiser: Sonic Visualiser is a free, open-source application,
+sonic-visualiser: designed to be the first program you reach for when want to study
+sonic-visualiser: a music recording closely.
+sonic-visualiser: It's designed for musicologists, archivists, signal-processing
+sonic-visualiser: researchers, and anyone else in need for a friendly way to look at
+sonic-visualiser: what lies inside the audio file.
+sonic-visualiser:
+sonic-visualiser: sonic-visualiser home: https://sonicvisualiser.org/
+sonic-visualiser:
diff --git a/sonic-visualiser/build/slack-required b/sonic-visualiser/build/slack-required
new file mode 100644
index 00000000..f43ec80f
--- /dev/null
+++ b/sonic-visualiser/build/slack-required
@@ -0,0 +1,9 @@
+capnproto
+libfishsound
+liblo
+liblrdf
+portaudio
+rubberband
+serd
+sord
+qt5
diff --git a/sonic-visualiser/build/sonic-visualiser.SlackBuild b/sonic-visualiser/build/sonic-visualiser.SlackBuild
new file mode 100755
index 00000000..771f6862
--- /dev/null
+++ b/sonic-visualiser/build/sonic-visualiser.SlackBuild
@@ -0,0 +1,287 @@
+#!/bin/sh
+# $Id$
+# Copyright 2020 Eric Hameleers, Eindhoven, NL
+# All rights reserved.
+#
+# Permission to use, copy, modify, and distribute this software for
+# any purpose with or without fee is hereby granted, provided that
+# the above copyright notice and this permission notice appear in all
+# copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+# -----------------------------------------------------------------------------
+#
+# Slackware SlackBuild script
+# ===========================
+# By: Eric Hameleers <alien@slackware.com>
+# For: sonic-visualiser
+# Descr: audio file visualiser
+# URL: https://sonicvisualiser.org/
+# Build needs:
+# Needs: capnproto, libfishsound, liblo, liblrdf, portaudio,
+# rubberband, serd, sord, qt5
+# Changelog:
+# 4.0.1-1: 20/Jan/2020 by Eric Hameleers <alien@slackware.com>
+# * Initial build.
+#
+# Run 'sh sonic-visualiser.SlackBuild' to build a Slackware package.
+# The package (.t?z) and .txt file as well as build logs are created in /tmp .
+# Install the package using 'installpkg' or 'upgradepkg --install-new'.
+#
+# -----------------------------------------------------------------------------
+
+PRGNAM=sonic-visualiser
+VERSION=${VERSION:-4.0.1}
+BUILD=${BUILD:-1}
+NUMJOBS=${NUMJOBS:-" -j$(nproc) "}
+TAG=${TAG:-alien}
+
+DOCS="CHANGELOG CITATION COPYING README*"
+
+# Where do we look for sources?
+SRCDIR=$(cd $(dirname $0); pwd)
+
+# Place to build (TMP) package (PKG) and output (OUTPUT) the program:
+TMP=${TMP:-/tmp/build}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+SOURCE="$SRCDIR/${PRGNAM}-${VERSION}.tar.gz"
+SRCURL="https://code.soundsoftware.ac.uk/attachments/download/2607/${PRGNAM}-${VERSION}.tar.gz"
+
+##
+## --- with a little luck, you won't have to edit below this point --- ##
+##
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$(uname -m)" in
+ i?86) ARCH=i586 ;;
+ arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7hl ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$(uname -m) ;;
+ esac
+ export ARCH
+fi
+# Set CFLAGS/CXXFLAGS and LIBDIRSUFFIX:
+case "$ARCH" in
+ i?86) SLKCFLAGS="-O2 -march=${ARCH} -mtune=i686"
+ SLKLDFLAGS=""; LIBDIRSUFFIX=""
+ ;;
+ x86_64) SLKCFLAGS="-O2 -fPIC"
+ SLKLDFLAGS="-L/usr/lib64"; LIBDIRSUFFIX="64"
+ ;;
+ armv7hl) SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16"
+ SLKLDFLAGS=""; LIBDIRSUFFIX=""
+ ;;
+ *) SLKCFLAGS=${SLKCFLAGS:-"-O2"}
+ SLKLDFLAGS=${SLKLDFLAGS:-""}; LIBDIRSUFFIX=${LIBDIRSUFFIX:-""}
+ ;;
+esac
+
+case "$ARCH" in
+ arm*) TARGET=$ARCH-slackware-linux-gnueabi ;;
+ *) TARGET=$ARCH-slackware-linux ;;
+esac
+
+# Exit the script on errors:
+set -e
+trap 'echo "$0 FAILED at line ${LINENO}" | tee $OUTPUT/error-${PRGNAM}.log' ERR
+# Catch unitialized variables:
+set -u
+P1=${1:-1}
+
+# Save old umask and set to 0022:
+_UMASK_=$(umask)
+umask 0022
+
+# Create working directories:
+mkdir -p $OUTPUT # place for the package to be saved
+mkdir -p $TMP/tmp-$PRGNAM # location to build the source
+mkdir -p $PKG # place for the package to be built
+rm -rf $PKG/* # always erase old package's contents
+rm -rf $TMP/tmp-$PRGNAM/* # remove the remnants of previous build
+rm -rf $OUTPUT/{checkout,configure,make,install,error,makepkg,patch}-$PRGNAM.log
+ # remove old log files
+
+# Source file availability:
+if ! [ -f ${SOURCE} ]; then
+ echo "Source '$(basename ${SOURCE})' not available yet..."
+ # Check if the $SRCDIR is writable at all - if not, download to $OUTPUT
+ [ -w "$SRCDIR" ] || SOURCE="$OUTPUT/$(basename $SOURCE)"
+ if [ -f ${SOURCE} ]; then echo "Ah, found it!"; continue; fi
+ if ! [ "x${SRCURL}" == "x" ]; then
+ echo "Will download file to $(dirname $SOURCE)"
+ wget --no-check-certificate -nv -T 20 -O "${SOURCE}" "${SRCURL}" || true
+ if [ $? -ne 0 -o ! -s "${SOURCE}" ]; then
+ echo "Downloading '$(basename ${SOURCE})' failed... aborting the build."
+ mv -f "${SOURCE}" "${SOURCE}".FAIL
+ exit 1
+ fi
+ else
+ echo "File '$(basename ${SOURCE})' not available... aborting the build."
+ exit 1
+ fi
+fi
+
+if [ "$P1" == "--download" ]; then
+ echo "Download complete."
+ exit 0
+fi
+
+# --- PACKAGE BUILDING ---
+
+echo "++"
+echo "|| $PRGNAM-$VERSION"
+echo "++"
+
+cd $TMP/tmp-$PRGNAM
+echo "Extracting the source archive(s) for $PRGNAM..."
+tar -xvf ${SOURCE}
+cd ${PRGNAM}-${VERSION}
+
+# Remove all occurrences of '-Werror', this does not belong in a release build:
+cat $SRCDIR/patches/sonic-visualiser-4.0.1_remove-werror.patch \
+ | patch -p1 --verbose \
+ 2>&1 | tee $OUTPUT/patch-${PRGNAM}.log
+
+# A few tests will FAIL, thus aborting the build:
+cat $SRCDIR/patches/sonic-visualiser-4.0.1_notest.patch \
+ | patch -p1 --verbose \
+ 2>&1 | tee $OUTPUT/patch-${PRGNAM}.log
+
+chown -R root:root .
+chmod -R u+w,go+r-w,a+rX-st .
+
+echo Building ...
+touch $OUTPUT/configure-${PRGNAM}.log
+# We patched .ac files, so:
+autoreconf -vif \
+ 2>&1 | tee -a $OUTPUT/configure-${PRGNAM}.log
+LDFLAGS="$SLKLDFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --localstatedir=/var \
+ --sysconfdir=/etc \
+ --program-prefix= \
+ --program-suffix= \
+ --build=$TARGET \
+ 2>&1 | tee -a $OUTPUT/configure-${PRGNAM}.log
+
+make $NUMJOBS 2>&1 | tee $OUTPUT/make-${PRGNAM}.log
+make INSTALL_ROOT=$PKG install 2>&1 | tee $OUTPUT/install-${PRGNAM}.log
+
+# Add a .png file for desktop menu usage instead of relying on the .svg:
+mkdir -p $PKG/usr/share/pixmaps
+convert -background none \
+ $PKG/usr/share/icons/hicolor/scalable/apps/${PRGNAM}.svg \
+ -scale 64 $PKG/usr/share/pixmaps/${PRGNAM}.png
+
+# Install and fix the .desktop file:
+install -Dm0644 ${PRGNAM}.desktop -t ${PKG}/usr/share/applications/
+sed -i -e "s#^Icon=.*#Icon=/usr/share/pixmaps/${PRGNAM}.png#" \
+ $PKG/usr/share/applications/${PRGNAM}.desktop
+
+# Install some samples:
+install -Dm0644 samples/* -t ${PKG}/usr/share/${PRGNAM}/samples
+
+# Install templates as well:
+install -Dm0644 templates/* -t ${PKG}/usr/share/${PRGNAM}/templates
+
+# Install a mime definition file:
+mkdir -p $PKG/usr/share/mime/packages
+cat <<EOT > $PKG/usr/share/mime/packages/${PRGNAM}.xml
+<?xml version="1.0" encoding="utf-8"?>
+<mime-info xmlns="http://www.freedesktop.org/standards/shared-mime-info">
+ <mime-type type="application/x-sonicvisualiser">
+ <comment>Sonic Visualiser session file</comment>
+ <generic-icon name="sv-icon"/>
+ <glob pattern="*.sv"/>
+ </mime-type>
+ <mime-type type="application/x-sonicvisualiser-layer">
+ <comment>Sonic Visualiser layer file</comment>
+ <generic-icon name="sv-icon"/>
+ <glob pattern="*.svl"/>
+ </mime-type>
+</mime-info>
+EOT
+
+# Add this to the doinst.sh:
+mkdir -p $PKG/install
+cat <<EOINS >> $PKG/install/doinst.sh
+# Update the desktop database:
+if [ -x usr/bin/update-desktop-database ]; then
+ chroot . /usr/bin/update-desktop-database usr/share/applications > /dev/null 2>&1
+fi
+
+# Update hicolor theme cache:
+if [ -d usr/share/icons/hicolor ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ chroot . /usr/bin/gtk-update-icon-cache -f -t usr/share/icons/hicolor 1> /dev/null 2> /dev/null
+ fi
+fi
+
+# Update the mime database:
+if [ -x usr/bin/update-mime-database ]; then
+ chroot . /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -x /sbin/setcap ]; then
+ # Give all binaries in the package realtime capabilities:
+ BINS=( $(cd $PKG/usr/bin ; find . -type f -printf '%P\n') )
+ for EXE in \${BINS[@]}; do
+ /sbin/setcap cap_ipc_lock,cap_sys_nice=ep usr/bin/\$EXE
+ done
+fi
+EOINS
+
+# Add documentation:
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION || true
+cat $SRCDIR/$(basename $0) > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+chown -R root:root $PKG/usr/doc/$PRGNAM-$VERSION
+find $PKG/usr/doc -type f -exec chmod 644 {} \;
+
+# Compress the man page(s):
+if [ -d $PKG/usr/man ]; then
+ find $PKG/usr/man -type f -name "*.?" -exec gzip -9f {} \;
+ for i in $(find $PKG/usr/man -type l -name "*.?") ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+fi
+
+# Strip binaries (if any):
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Add a package description:
+mkdir -p $PKG/install
+cat $SRCDIR/slack-desc > $PKG/install/slack-desc
+cat $SRCDIR/slack-required > $PKG/install/slack-required
+
+# Build the package:
+cd $PKG
+makepkg --linkadd y --chown n $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.${PKGTYPE:-tgz} 2>&1 | tee $OUTPUT/makepkg-${PRGNAM}.log
+cd $OUTPUT
+md5sum ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.${PKGTYPE:-tgz} > ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.${PKGTYPE:-tgz}.md5
+cd -
+cat $PKG/install/slack-desc | grep "^${PRGNAM}" > $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.txt
+cat $PKG/install/slack-required > $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.dep
+
+# Restore the original umask:
+umask ${_UMASK_}
+